# UNICADO - UNIversity Conceptual Aircraft Design and Optimization
#
# Copyright (C) 2025 UNICADO consortium
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <https://www.gnu.org/licenses/>.
#
# Description:
# This file is part of UNICADO.

def get_mission_energy_specific_segment(root_of_aircraft_exchange_tree, aMissionType, aMissionSegment):
    mission_energy = 0.0
    consumed_mission_energy_components = root_of_aircraft_exchange_tree.findall(
            './analysis/mission/' + aMissionType + '/' + aMissionSegment)
    for energy_component in consumed_mission_energy_components:
        consumed_mission_energy = energy_component.find('./consumed_energy/value')
        mission_energy += float(consumed_mission_energy.text)
    return mission_energy